Subject: [OAUTH-WG] dynamic client registration without redirect_url for mobile?

From: Tom Brown <[email-masked]>
Date: Wed, 16 May 2012 18:04:05 -0500

for draft-hardjono-oauth-dynreg, would it make sense to have a type where
no redirect_url is passed and instead the client registration endpoint
assigns the redirect uri itself?

for instance, a mobile app might request this type of registration and the
client registration endpoint could assign the redirect_uri to a url
belonging to the authorization server.  if, for instance, the mobile app is
using an embedded user-agent, upon authorization, it can retrieve the code
param from the url when the page is loaded.

thanks,
tom